Package org.apache.wiki.markdown

# Class MarkdownSetupEngineLifecycleExtension

java.lang.Object
org.apache.wiki.markdown.MarkdownSetupEngineLifecycleExtension

All Implemented Interfaces:
  `org.apache.wiki.api.engine.EngineLifecycleExtension`

public class MarkdownSetupEngineLifecycleExtension extends Object implements org.apache.wiki.api.engine.EngineLifecycleExtension
`EngineLifecycleExtension` that sets up all the relevant properties to enable markdown syntax if the `jspwiki.syntax` property has been given, with the `markdown` value.

## Constructor Summary

Constructors
Constructor
Description
`MarkdownSetupEngineLifecycleExtension()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onInit(Properties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.engine.EngineLifecycleExtension

`onShutdown, onStart`

## Constructor Details

### MarkdownSetupEngineLifecycleExtension

public MarkdownSetupEngineLifecycleExtension()

## Method Details

### onInit

public void onInit(Properties properties)

Specified by:
  `onInit` in interface `org.apache.wiki.api.engine.EngineLifecycleExtension`